curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"productType": "SUBSCRIPTION",
"price": 1,
"subtitle": "<string>",
"description": "<string>",
"compareAtPrice": 1,
"images": [
"<string>"
],
"message": "<string>",
"fulfillmentMode": "MANAGED_LICENSE",
"pricingModel": "STANDARD",
"status": "DRAFT",
"minimumPrice": 1,
"maxPerCustomer": 2,
"availableFrom": "2023-11-07T05:31:56Z",
"availableUntil": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"redirectUrl": "<string>",
"keyFormat": "ALPHANUMERIC",
"customPrefix": "<string>",
"maxActivations": 2,
"licenseDuration": "THIRTY_DAYS",
"revokeOnRefund": true,
"lowStockThreshold": 1,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"billingInterval": "WEEKLY",
"billingAnchor": "IMMEDIATELY",
"trialDays": 1,
"licenseKeys": [
"<string>"
],
"variants": [
{
"title": "<string>",
"options": "<unknown>",
"price": 1,
"slug": "<string>",
"description": "<string>",
"sku": "<string>",
"compareAtPrice": 1,
"images": [
"<string>"
],
"inStock": true,
"quantity": 1,
"trackStock": false,
"position": 1
}
],
"options": [
{
"name": "<string>",
"values": [
"<string>"
],
"position": 1
}
],
"categoryIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"productType": "SUBSCRIPTION",
"price": 1,
"subtitle": "<string>",
"description": "<string>",
"compareAtPrice": 1,
"images": [
"<string>"
],
"message": "<string>",
"fulfillmentMode": "MANAGED_LICENSE",
"pricingModel": "STANDARD",
"status": "DRAFT",
"minimumPrice": 1,
"maxPerCustomer": 2,
"availableFrom": "2023-11-07T05:31:56Z",
"availableUntil": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"redirectUrl": "<string>",
"keyFormat": "ALPHANUMERIC",
"customPrefix": "<string>",
"maxActivations": 2,
"licenseDuration": "THIRTY_DAYS",
"revokeOnRefund": true,
"lowStockThreshold": 1,
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"billingInterval": "WEEKLY",
"billingAnchor": "IMMEDIATELY",
"trialDays": 1,
"licenseKeys": [
"<string>"
],
"variants": [
{
"title": "<string>",
"options": "<unknown>",
"price": 1,
"slug": "<string>",
"description": "<string>",
"sku": "<string>",
"compareAtPrice": 1,
"images": [
"<string>"
],
"inStock": true,
"quantity": 1,
"trackStock": false,
"position": 1
}
],
"options": [
{
"name": "<string>",
"values": [
"<string>"
],
"position": 1
}
],
"categoryIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 481 - 256SUBSCRIPTION, DIGITAL_DOWNLOAD, LICENSE_KEY x >= 051210000x >= 0101000MANAGED_LICENSE, LICENSE_POOL, LICENSE_WEBHOOK, INSTANT_DOWNLOAD, REDIRECT, MANUAL STANDARD, PAY_WHAT_YOU_WANT, FREE DRAFT, ACTIVE x >= 0x >= 120482048ALPHANUMERIC, UUID, CUSTOM_PREFIX 32x >= 1THIRTY_DAYS, NINETY_DAYS, ONE_YEAR, LIFETIME x >= 02048256WEEKLY, MONTHLY, YEARLY IMMEDIATELY, END_OF_PERIOD x >= 010005124Show child attributes
20Show child attributes
20